> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v2/card/{id}



## OpenAPI

````yaml GET /v2/card/{id}
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v2/card/{id}:
    get:
      tags:
        - card
      summary: Get detailed information about card
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: Card id for detalization
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardV2'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    CardV2:
      type: object
      properties:
        id:
          type: string
          description: Unique Card id (UUID string)
          readOnly: true
        walletId:
          type: string
          description: Wallet UUID
          readOnly: true
        type:
          type: string
          readOnly: true
          enum:
            - ChipAndPin
            - Virtual
            - Disposable
        maskedPan:
          type: string
          description: Masked Card Number
          example: 474359******5050
          readOnly: true
        status:
          type: string
          description: Card status
          enum:
            - PROCESS
            - ORDERED
            - DISPATCHED
            - ACTIVE
            - BLOCKED
            - CLOSED
        validUntilDate:
          type: string
          readOnly: true
        cardholderName:
          type: string
          description: Cardholder name
        notification:
          type:
            - object
            - 'null'
          properties:
            type:
              enum:
                - ERROR
                - WARNING
                - INFO
              type: string
            title:
              type: string
            message:
              type: string
        orderInfo:
          type:
            - object
            - 'null'
          properties:
            title:
              type:
                - string
                - 'null'
            message:
              type:
                - string
                - 'null'
            orderedAt:
              type: integer
              description: Timestamp in seconds
            dispatchedAt:
              type:
                - integer
                - 'null'
              description: Timestamp in seconds
            delivery:
              type:
                - object
                - 'null'
        permissions:
          type: object
          description: List of true\false permissions
          readOnly: true
          properties:
            canActivate:
              type: boolean
            canBlock:
              type: boolean
            canUnblock:
              type: boolean
            canGetPin:
              type: boolean
            canSetPin:
              type: boolean
            canGetCvv:
              type: boolean
            canGetPassword:
              type: boolean
            canSetPassword:
              type: boolean
            canGetPan:
              type: boolean
            canClose:
              type: boolean
            canSetSmsBalanceNotification:
              type: boolean
            canGetLimits:
              type: boolean
            canSetLimits:
              type: boolean
            canGetOperations:
              type: boolean
            canSetOperations:
              type: boolean
        updatedAt:
          type: integer
          description: Updated timestamp in seconds
          example: 1666666666
        isSmsBalanceNotification:
          type: boolean
          description: Is Payment Balance Sms Notification Enabled
          example: false
        designId:
          type: string
          description: Design Id code
          example: AIV
        version:
          type: integer
          description: The latest version of the update
          example: 1
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````